- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# Game Class Reference

`#include <Game.h>`

List of all members.

## Public Member Functions
| Game (int levelnum=0)
| ~Game ()
void | init ()
bool | mainLoop ()
bool | nextLevel ()
bool | wonLevel ()
void | loadLevel (std::string filename)
void | resetLevel ()
## Private Attributes
Level * | _currentLevel
std::queue< std::string > | _levelList

## Detailed Description

Definition at line 10 of file Game.h.

## Constructor & Destructor Documentation

Game::Game | ( | int | levelnum = `0` | ) |

| Definition at line 9 of file Game.cpp. References _levelList, List::empty(), List::firstList(), List::firstString(), Parser::parse(), and List::rest().

Game::~Game | ( |  | ) |

| Definition at line 33 of file Game.cpp. References _currentLevel.

## Member Function Documentation

void Game::init | ( |  | ) |

void Game::loadLevel | ( | std::string | filename | ) |

| Definition at line 58 of file Game.cpp. References _currentLevel, and Level::levelLoad().

bool Game::mainLoop | ( |  | ) |

| Definition at line 71 of file Game.cpp. References _currentLevel, Level::draw(), Screen::drawScramble(), Screen::FRAMERATE, glfuncs::instance(), Screen::instance(), Control::quitKey, and Level::update().

bool Game::nextLevel | ( |  | ) |

| Definition at line 38 of file Game.cpp. References _levelList.

void Game::resetLevel | ( |  | ) | `[inline]`

| Definition at line 21 of file Game.h. References _currentLevel, and Level::reset().

bool Game::wonLevel | ( |  | ) | `[inline]`

| Definition at line 19 of file Game.h. References _currentLevel, and Level::getWon().

## Member Data Documentation

Level* Game::_currentLevel`[private]`

| Definition at line 21 of file Game.h. Referenced by loadLevel(), mainLoop(), resetLevel(), wonLevel(), and ~Game().

std::queue< std::string > Game::_levelList`[private]`

| Definition at line 25 of file Game.h. Referenced by Game(), and nextLevel().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Game.h
- C:/Documents and Settings/jegan/Desktop/projectX/Game.cpp